package com.jpsoft.shinestar.modules.workflow.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.shinestar.modules.workflow.entity.ProcessTemplate;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface ProcessTemplateDAO {
	int insert(ProcessTemplate entity);
	int update(ProcessTemplate entity);
	int exist(String id);
	ProcessTemplate get(String id);
	int delete(String id);
	List<ProcessTemplate> list();
	ProcessTemplate findBySort(int sort);
	ProcessTemplate findByProcessSetId(String processSetId);
	List<ProcessTemplate> search(Map<String,Object> searchParams,List<Sort> sortList);
}